class Showing < ActiveRecord::Base
  belongs_to :theater
  belongs_to :movie
  
  validate :must_end_after_start
  
  private
  
  def must_end_after_start
    if starts_on && ends_on && ends_on < starts_on
      errors.add_to_base "Ending date must be after starting date"
    end
  end
end
