class Theater < ActiveRecord::Base
  has_many :showings, :dependent => :destroy
  has_many :movies, :through => :showings
  named_scope :currently_playing, Movie.currently_playing.proxy_options
  
  before_save :add_protocol_to_site_url, :unless => :site_url_has_protocol?
  
  private
  
  def site_url_has_protocol?
    site_url.blank? || site_url.include?('://')
  end
  
  def add_protocol_to_site_url
    self.site_url = "http://#{site_url}"
  end
end
